Docs
Update Surface
PUT /surfaces/{id}
PUT
/surfaces/{id}Updates all editable fields on a surface; send null for rasterMapId to unlink the map or for areaId to remove area scoping. The surface id comes from ContentManagement_GetSurfaces. Requires the Event Content Management Admin permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| description | string | Optional | |
| rasterMapId | uuid | Optional | |
| areaId | uuid | Optional | |
| exactLocation | string | Optional |